{% extends "layout.html" %}
{% block content %}
<h4 >Bloque de control</h4>
	{% for key, value in cars.items() %}
		{% set parts = value.split(",") %}
		<br>
		<div id='bloquecontrol' style="border: thin solid purple">
			<h5>Auto: {{parts[0]}}
				<br>	
				Latitud:{{parts[1]}} Longitud:{{parts[2]}} Habilitado:{{parts[3]}}</h5>
			<form action="/mover" method="POST">
				<div>
					<input type="hidden" name='id' value="{{parts[0]}}">
					<input type="hidden" name='sta' value="1">
				</div>
				<div class="form-row align-items-center">
					<div class="col-auto">
						<label class="sr-only" for="lat">Latitud</label>
						<input type="text" class="form-control mb-2" name="lat" placeholder="Latitud">
					</div>
				<div class="col-auto">
					<label class="sr-only" for="lon">Longitud</label>
					<div class="input-group mb-2">
						<input type="text" class="form-control" name="lon" placeholder="Longitud">
					</div>
				</div>
				<div class="col-auto">
					<div class="form-check mb-2">
						<input class="form-check-input" type="checkbox" name="con" value="1">
						<label class="form-check-label" for="con">
							Confirmar
						</label>
					</div>
				</div>
				<div class="col-auto">
					<button type="submit" class="btn btn-primary mb-2">Mover</button>
				</div>
			</div>
		</form>
			
		</div>		
	{% endfor %}	
{% endblock %}
